Bug 74095 - kcmshell crash during printer config
kcmshell crash during printer config
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-15 20:31 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-15 20:31:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
I was attempting to use the kde config tool to configure a cups printer. At the
time the system was set to use lprng. Anyway, I messed around with it in various
ways, switched into admin mode and eventually saw this crash...Sorry the bug is
a bit vague, but at least there is a reasonable stack walk :-|


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Here is the crash log from the kde crash gizmo:

(no debugging symbols found)...[New Thread 1024 (LWP 20282)]
0x420a0a89 in wait4 () from /lib/i686/libc.so.6
#0  0x420a0a89 in wait4 () from /lib/i686/libc.so.6
#1  0x4211921c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40debb13 in waitpid () from /lib/i686/libpthread.so.0
#3  0x405c8065 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x40a3d2b6 in QProgressDialog::setMinimumDuration(int) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#6  0x418994cd in KMDBCreator::createDriverDB(QString const&, QString const&,
QWidget*) () from /usr/lib/libkdeprint_management.so.4
#7  0x4189a68c in KMDriverDB::init(QWidget*) ()
   from /usr/lib/libkdeprint_management.so.4
#8  0x4189d212 in KMDriverDbWidget::init() ()
   from /usr/lib/libkdeprint_management.so.4
#9  0x418c394e in KMWDriver::initPrinter(KMPrinter*) ()
   from /usr/lib/libkdeprint_management.so.4
#10 0x418bc25d in KMWizard::setCurrentPage(int, bool) ()
   from /usr/lib/libkdeprint_management.so.4
#11 0x418bc68b in KMWizard::slotNext() ()
   from /usr/lib/libkdeprint_management.so.4
#12 0x418bc87b in KMWizard::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeprint_management.so.4
#13 0x408b9adb in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#14 0x408b99c7 in QObject::activate_signal(int) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#15 0x40b856ee in QButton::clicked() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#16 0x4093b746 in QButton::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#17 0x408edeac in QWidget::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#18 0x40865c69 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#19 0x40865383 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#20 0x4055c9e6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#21 0x40809ef6 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#22 0x40806d66 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#23 0x408068df in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#24 0x408672a0 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#25 0x40a13d81 in QDialog::exec() () from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#26 0x418a1144 in add_printer_wizard ()
   from /usr/lib/libkdeprint_management.so.4
#27 0x418a6732 in KMMainView::slotAdd() ()
   from /usr/lib/libkdeprint_management.so.4
#28 0x418a816d in KMMainView::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeprint_management.so.4
#29 0x408b9adb in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#30 0x408b99c7 in QObject::activate_signal(int) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#31 0x4037c74b in KAction::activated() () from /usr/lib/libkdeui.so.4
#32 0x4036f8cf in KAction::slotActivated() () from /usr/lib/libkdeui.so.4
#33 0x4037c942 in KAction::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeui.so.4
#34 0x408b9a80 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#35 0x408b99c7 in QObject::activate_signal(int) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#36 0x40b856ee in QButton::clicked() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#37 0x4093b746 in QButton::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#38 0x408edeac in QWidget::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#39 0x40865c69 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#40 0x40865383 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#41 0x4055c9e6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#42 0x40809ef6 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#43 0x40806d66 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#44 0x408068df in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#45 0x408672a0 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#46 0x408063dd in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#47 0x4002335a in main () from /usr/lib/kcmshell.so
#48 0x420155c4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Petr Rockai 2006-07-17 14:18:42 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:21:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.